@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@400;500&display=swap');

*{
    padding: 0;
    margin: 0;
    color: #272026;
    list-style: none;
    text-decoration: none;
    font-family: 'Oswald', sans-serif;
    background-color: #fefefd;
}

html{
    scroll-behavior: smooth;
}

section[id]{
    scroll-margin-top: 70px;
}

/*------------------------------------------MENU------------------------------------------*/
header{
    display: flex;
}

header nav{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    height: 70px;
    width: 100vw;
    margin: auto;
    font-weight: 400;
    font-size: large;
    position: fixed;
}

header nav img{
    width: 70px;
    height: 50px;
    margin: 12px 0 0 60px;
}

header nav label #menu-icon{
    font-size: 30px;
}

header nav #check,
header nav label #menu-icon{
    display: none;
}

header nav ul{
    display: flex;
    line-height: 70px;
    margin-right: 10%;
}

header nav li{
    margin: 0 50px 0 0;
}

header nav li #cv{
    background-color: #a98e87;
    color: #fff;
    border-radius: 4px;
    padding: 8px 14px;
}

header nav li #cv:hover{
    color: #272026;
}

/*------------------------------------------ME------------------------------------------*/
#info{
    width: 100%;
    display: flex;
    margin: 70px auto auto auto;
    background-color: #f5f3f4;
    padding: 30px 0 30px 0;
    border-bottom: 4px solid #fff;
}

#info #photo{
    margin: auto 0 auto auto;
    background-color: #f5f3f4;
}

#info #photo img{
    object-fit: cover;
    width: 300px;
    border-radius: 50%;
}

#info #me{
    margin: 70px auto auto 50px;
    width: 500px;
    text-align: justify;
    background-color: #f5f3f4;
}

#info #me h3{
    font-size: 50px;
    margin-bottom: 12px;
    background-color: #f5f3f4;
}

#info #me p{
    font-size: 18px;
    background-color: #f5f3f4;
}


/*------------------------------------------PROYECTOS------------------------------------------*/
#proyectos{
    background-color: #f5f3f4;
    height: 300px;
    width: 88vw; 
    display: flex;
    margin: auto auto auto auto;
    justify-content: space-around;
    border-radius: 2px;
    border-bottom: 4px solid #fff;
}

#proyectos .proyecto{
    border-radius: 6px;
    margin-top: 25px;
    display: flex;
    flex-direction: column;
    height: 230px;
    background-color: #f5f3f4;
    border: 3px solid #fff;
    padding: 15px;
}

#proyectos .proyecto button{
    margin: 15px auto 0 auto;
    background-color: #272026;
    border: none;
    border-radius: 6px;
    padding: 2px 5px 2px 5px;
}

.efect:hover{
    transform: scale(1.10);
}

#proyectos .proyecto button a{
    color: #fff;
    background-color: #272026;
}

#proyectos .proyecto img{
    width: 320px;
    object-fit: cover;
    border-radius: 6px;
}

#proyectos .proyecto .description{
    display: flex;
    justify-content: space-between;
    background-color: #f5f3f4;
}

#proyectos .proyecto .description h4{
    margin-left: 5px;
    margin-top: 8px;
    font-size: 18px;
    font-weight: 500;
    background-color: #f5f3f4;
}

#proyectos .proyecto .description .tecnologies{
    margin-right: 15px;
    background-color: #f5f3f4;
}

#proyectos .proyecto .description .tecnologies button{
    padding: 4px;
    border-radius: 10px;
    border: none;
    color: #fff;
    margin-top: 8px;
}

#proyectos .proyecto .description .tecnologies .django{
    background-color: #67b99a;
}

#proyectos .proyecto .description .tecnologies .react{
    background-color: #00ccffbe;
}

/*------------------------------------------BIG ONE------------------------------------------*/
#bigOne{
    width: 100%;
    height: 370px;
    display: flex;
    background-color: #f5f3f4;
    border-bottom: 4px solid #fff;
}

#bigOne #proyecto{
    margin: 70px 50px auto auto;
    width: 500px;
    text-align: justify;
    background-color: #f5f3f4;
}

#bigOne #proyecto h3{
    font-size: 50px;
    margin-bottom: 12px;
    background-color: #f5f3f4;
}

#bigOne #proyecto p{
    font-size: 18px;
    background-color: #f5f3f4;
}

#bigOne #proyecto #bigOneTecnologies{
    margin-top: 10px;
    display: flex;
    justify-content: space-between;
    background-color: #f5f3f4;
}

#bigOne #proyecto #bigOneTecnologies button{
    color: #fff;
    padding: 4px;
    border-radius: 10px;
    border: none;
}

#bigOne #proyecto #bigOneTecnologies #repo button{
    background-color: #272026;
    border-radius: 6px;
}

#bigOne #proyecto #bigOneTecnologies #repo button a{
    color: #fff;
    background-color: #272026;
}

#bigOne #proyecto #bigOneTecnologies #tecnologies{
    background-color: #f5f3f4;
}

#bigOne #proyecto #bigOneTecnologies #tecnologies .react{
    background-color: #00ccffbe;
}

#bigOne #proyecto #bigOneTecnologies #tecnologies .ASP{
    background-color: #3c096c;
}

#bigOne #e-commerce{
    margin: auto auto auto 0;
}

#bigOne #e-commerce img{
    object-fit: cover;
    width: 500px;
}

/*------------------------------------------CONTACTO------------------------------------------*/
#contacto{
    width: 88vw;
    margin: auto;
    padding-bottom: 14px;
    background-color: #f5f3f4;
    border-bottom: 4px solid #fff;
    border-radius: 2px;
}

#contacto form{
    display: flex;
    flex-direction: column;
    width: 50vw;
    margin: auto;
    text-align: center;
    background-color: #f5f3f4;
}

#contacto form h3{
    margin: 6px 0 6px 0;
    font-size: x-large;
    background-color: #f5f3f4;
}

#contacto form #campos{
    margin: auto;
    width: 100%;
    display: flex;
    margin-bottom: 2px;
}

#contacto form #campos input{
    width: 48%;
    border: 1px solid;
}

#contacto form #campos input:last-child{
    margin-left: 1%;
}

#contacto form input,
#contacto form textarea,
#contacto form button{
    font-size: medium;
    padding: 4px;
    border-color: #272026;
    outline-color: #272026;
}

#contacto form textarea::placeholder{
    padding-top: 50px;
    text-align: center;
}

#contacto form button{
    width: 40%;
    margin: 2px auto 0 auto;
    background-color: #a98e87;
    color: #fff;
    border: none;
    border-radius: 4px;
    padding: 8px;
}

#contacto form button:hover{
    cursor: pointer;
    color: #272026;
}

/*------------------------------------------FOOTER------------------------------------------*/
footer{
    height: 100px;
    display: flex;
    flex-direction: column;
    background-color: #f5f3f4;
}

footer #redes{
    font-size: 30px;
    margin: 10px auto 0 auto;
    background-color: #f5f3f4;
}

footer #copyright{
    font-size: 20px;
    margin: 0 auto 0 auto;
    background-color: #f5f3f4;
}

footer #copyright span{
    background-color: #f5f3f4;
}

footer #redes a{
    background-color: #f5f3f4;
}

#logo-twitter{
    color: #00acee ;
    background-color: #f5f3f4;
}

#logo-linkedin{
    color: #0e76a8;
    background-color: #f5f3f4;
}

#logo-github{
    color: #171515;
    background-color: #f5f3f4;
}